# Contributing Guidelines

Thank you for considering contributing to the Statistical Significance Annotation Tool! Here are a few guidelines to help you get started.

## How to Contribute

### 1. Fork the Repository

Fork the repository to your own GitHub account. You can do this by clicking the "Fork" button on the repository page.

### 2. Clone the Repository

Clone your forked repository to your local machine:

```bash
git clone https://github.com/elide-b/starbars.git
```

### 3. Create a Branch

Create a new branch for your feature or bugfix:

```bash
git checkout -b feature-or-bugfix-name
```

### 4. Make Changes
Make your changes to the code. Ensure that your code follows the project's coding standards and includes appropriate tests.

### 5. Commit Your Changes
Commit your changes with a descriptive commit message:

```bash
git commit -m "Description of the feature or bugfix"
```

### 6. Push Your Changes
Push your changes to your forked repository:

```bash
git push origin feature-or-bugfix-name
```

### 7. Open a Pull Request
Open a pull request to the main repository. In the pull request description, explain your changes and why they should be merged.

## Code Style
Follow the PEP 8 style guide for Python code.
Use meaningful variable and function names.
Write clear and concise comments.
Keep the code DRY (Don't Repeat Yourself).

## Testing
Write tests for new features and bug fixes.
Ensure that all tests pass before submitting a pull request.
Use descriptive names for your tests.

## Reporting Issues
If you find a bug or have a feature request, please open an issue on GitHub. Provide as much detail as possible to help us understand and address the issue.

## License
By contributing to this project, you agree that your contributions will be licensed under the MIT License.

Thank you for your contributions!


You can save this content into a file named `CONTRIBUTING.md` and include it in your repository. This will provide clear guidelines for contributors to follow, ensuring a smooth and efficient contribution process.
